Backups API
GET /api/v1/backups
Section titled “GET /api/v1/backups”List Backups
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit | query | integer | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/backups/{backup_id}
Section titled “DELETE /api/v1/backups/{backup_id}”Delete Backup Route
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
backup_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 202 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/backups/{backup_id}/restore
Section titled “POST /api/v1/backups/{backup_id}/restore”Restore Backup Route
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
backup_id | path | integer | yes |
Request body, application/json, RestoreIn
| Field | Type | Required | Description |
|---|---|---|---|
confirm | string | null | no | |
mode | string | no | |
storage | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 202 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/backups/{backup_id}/test-restore
Section titled “POST /api/v1/backups/{backup_id}/test-restore”Test Restore Backup
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
backup_id | path | integer | yes |
Request body, application/json, TestRestoreIn
| Field | Type | Required | Description |
|---|---|---|---|
storage | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response |
POST /api/v1/backups/{backup_id}/verify
Section titled “POST /api/v1/backups/{backup_id}/verify”Verify Backup
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
backup_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response |
POST /api/v1/backups/prune
Section titled “POST /api/v1/backups/prune”Prune Route
Request body (required), application/json, PruneIn
| Field | Type | Required | Description |
|---|---|---|---|
guest_type | string | null | no | |
host_id | integer | yes | |
keep_daily | integer | null | no | |
keep_last | integer | null | no | |
keep_monthly | integer | null | no | |
keep_weekly | integer | null | no | |
keep_yearly | integer | null | no | |
node | string | null | no | |
storage | string | yes | |
vmid | integer | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 202 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/backups/prune-preview
Section titled “GET /api/v1/backups/prune-preview”Prune Preview Route
Dry run. Calls the GET verb only: this endpoint cannot delete anything; POST /backups/prune is the one that does.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | query | integer | yes | |
storage | query | string | yes | |
node | query | string | null | no | |
keep_last | query | integer | null | no | |
keep_daily | query | integer | null | no | |
keep_weekly | query | integer | null | no | |
keep_monthly | query | integer | null | no | |
keep_yearly | query | integer | null | no | |
guest_type | query | string | null | no | |
vmid | query | integer | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/backups/run
Section titled “POST /api/v1/backups/run”Run Backup Route
Request body, application/json, RunIn
| Field | Type | Required | Description |
|---|---|---|---|
compress | string | no | |
guests | GuestRef[] | string | no | |
host_id | integer | null | no | |
mode | string | no | |
storage | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 202 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/backups/verify
Section titled “POST /api/v1/backups/verify”Verify All Backups
Request body, application/json, VerifySweepIn
| Field | Type | Required | Description |
|---|---|---|---|
host_id | integer | no | |
storage | string | null | no | |
max | integer | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response |